Wallets, tokens & networks
Get Token Types New
Lists org token types with network and test-transaction config, filtered by network, payroll type and enabled flag.
POSThttps://api.toku.com/hris/get-token-types-new
Required scope: wallets:read
curl --request POST \
--url 'https://api.toku.com/hris/get-token-types-new' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"networkID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"includeDisabled": true,
"payrollType": "ON_CYCLE"
}'200 response
{}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
networkIDstring<uuid>includeDisabledbooleanpayrollTypestringAvailable options: ON_CYCLE, OFF_CYCLE, INVOICE_PAYMENT
Response
200Successful response
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits